package com.ssj.bean.es.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author sh
 * @className EsDataRecode
 * @description TODO
 * @date 2020/4/29
 */
@Entity
@Table(name="es_data_recode")
public class EsDataRecode extends BaseEntity {

    /**
     * es 索引名称
     */
    private String esIndexName;
    /**
     * 数据加载时间
     */
    private String loadDate;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * api名称 中文
     */
    private String apiName;
    /**
     * 状态 1-刷新成功 2-刷新失败
     */
    private int state;

    public String getEsIndexName() {
        return esIndexName;
    }

    public void setEsIndexName(String esIndexName) {
        this.esIndexName = esIndexName;
    }

    public String getLoadDate() {
        return loadDate;
    }

    public void setLoadDate(String loadDate) {
        this.loadDate = loadDate;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getApiName() {
        return apiName;
    }

    public void setApiName(String apiName) {
        this.apiName = apiName;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }
}
